// save parameters and steady states
// July 2021

var Bailout GI C Y I WG Wp R T L Lp LG PG Kp KG GC Ap At N B RB omega z fo fo1 go go1 do bo ppi YF x gcshock gishock boshock qk tau Y_output YG beta betashock ;


parameters chi mu GI_st GC_st AG eta beta_st sigmaL delta deltaG alpha alphaG m sigmao zeta rhoR epsilon Omegap phipi phiy bo_st rhogi rhogc rhobo Omegak rhobogdp rhobeta tauk_bar Lumpsum ;


varexo ec ei eo eio ebeta;

// Parameter values
chi=19.59992227;
mu=0.59943449;
GI_st=0.48078987;
GC_st=1.68276768;
AG=6.16927112;
eta=2.00000000;
beta_st=0.99250000;
sigmaL=0.75000000;
delta=0.02500000;
deltaG=0.02500000;
alpha=0.50000000;
alphaG=0.10000000;
m=0.15000000;
sigmao=0.40000000;
zeta=0.97500000;
rhoR=0.00000000;
epsilon=10.00000000;
Omegap=117.35941320;
phipi=1.50000000;
phiy=0.12500000;
bo_st=0.20000000;
rhogi=0.80000000;
rhogc=0.80000000;
rhobo=0.95000000;
Omegak=2.00000000;
rhobogdp=1000.00000000;
rhobeta=0.00000000;
tauk_bar=0.18000000;
Lumpsum=0.00000000;



model;
(L) = (mu*(LG)^(1+sigmaL) + (1-mu)*((Lp))^(1+sigmaL))^(1/(1+sigmaL));

(Kp) = (I)*(1-Omegak/2*(I/I(-1)-1)^2) + (1-delta)*(Kp(-1));

//qk/((1+tau)*C) = beta*((R(+1)) + qk(+1)*(1- delta))/(C(+1)*(1+tau(+1)));
//1 = qk*(1-Omegak/2*(I/I(-1)-1)^2 - Omegak*(I/I(-1) -1)*I/I(-1) ) + beta*qk(+1)*C/C(+1)*(1+tau(+1))/(1+tau) *Omegak*(I(+1)/I-1)*(I(+1)/I)^2;
//1 = qk*(1-Omegak/2*(I/I(-1)-1)^2 - Omegak*(I/I(-1) -1)*I/I(-1) ) + beta*qk(+1)*C/C(+1)*(1+tau)/(1+tau(+1)) *Omegak*(I(+1)/I-1)*(I(+1)/I)^2;

//1/((1+tau)*C) = beta*((RB)/ppi(+1))/((1+tau(+1))*C(+1));
//qk/(C) = beta*((R(+1)) + qk(+1)*(1- delta))/(C(+1));
//qk/(C) = beta*((1-tau(+1))*(R(+1)) + qk(+1)*(1- delta))/(C(+1));
qk/(C) = beta*((1-tauk_bar)*(R(+1)) + qk(+1)*(1- delta))/(C(+1));

1 = qk*(1-Omegak/2*(I/I(-1)-1)^2 - Omegak*(I/I(-1) -1)*I/I(-1) ) + beta*qk(+1)*C/C(+1) *Omegak*(I(+1)/I-1)*(I(+1)/I)^2;

1/(C) = beta*((RB)/ppi(+1))/(C(+1));

(At)*((N(-1))/ppi + (B)) = (PG)*AG*(LG);

(RB)*(B) = (At) *((N(-1))/ppi+(B))*(go);

(N(-1)/ppi)/((N(-1)/ppi)+(B))*(fo1)*(RB) = - (go1)*(At)*(fo);

(N) = zeta*(At)*((N(-1)/ppi)+(B))*(fo);

(z) = (log((omega)) + 0.5*sigmao^2)/sigmao;

(fo) = 1-normcdf((z) -sigmao) - (omega)*(1-normcdf((z)));

(fo1) = - normpdf((z)-sigmao)/sigmao/(omega) - (1-normcdf((z))) + normpdf((z))/sigmao;  

(go) = (1-normcdf((z)))*(omega) + (1-(1-(bo))*m)*normcdf((z)-sigmao); 

(go1)= 1- normcdf((z)) - normpdf((z))/sigmao + (1-(1-(bo))*m)*normpdf((z)-sigmao)/sigmao/(omega); 

(do) = normcdf((z)-sigmao);

//(WG)/(C*(1+tau)) = chi* (L)^(eta-sigmaL) * mu * (LG)^sigmaL;

//(Wp)/(C*(1+tau)) = chi* (L)^(eta-sigmaL) * (1-mu) * (Lp)^sigmaL;
(1-tau)*(WG)/(C) = chi* (L)^(eta-sigmaL) * mu * (LG)^sigmaL;

(1-tau)*(Wp)/(C) = chi* (L)^(eta-sigmaL) * (1-mu) * (Lp)^sigmaL;

(Wp) = (1-alpha)*(Ap)*(Kp(-1))^alpha*(Lp)^(-alpha)/x;

(R) = (alpha)*(Ap)*(Kp(-1))^(alpha-1)*(Lp)^(1-alpha)/x;

(WG)*(LG) = (N(-1))/ppi+(B);

//(GC) + (GI) + (At) * ((N(-1))/ppi+(B)) * (bo) *m *(do)= tau*WG*LG+tau*Wp*Lp+Lumpsum + tau*R*Kp;
(GC) + (GI) + (At) * ((N(-1))/ppi+(B)) * (bo) *m *(do)= tau*WG*LG+tau*Wp*Lp+Lumpsum + tauk_bar*R*Kp;

(Ap) = (KG)^(alphaG);

(KG) = (GI)/(PG) + (1-deltaG)*(KG(-1));

(GI) = AG*(PG)*(LG);

(C) + (I) + (GC) + (GI) = (Ap)*(Kp(-1))^(alpha)*(Lp)^(1-alpha)+AG*(PG)*(LG)-(At)*((N(-1)/ppi)+(B))*m*(do); 

(C) + (I) + (GC) + (GI) = (Y); 

1/x = (epsilon-1)/epsilon + Omegap/epsilon*(ppi/steady_state(ppi) -1)*ppi/steady_state(ppi) - beta*Omegap/epsilon*C/C(+1)*(ppi(+1)/steady_state(ppi)-1)*ppi(+1)/steady_state(ppi)*YF(+1)/YF;

YF = (Ap)*(Kp(-1))^(alpha)*(Lp)^(1-alpha);

//RB = (RB(-1))^rhoR*(steady_state(RB)*(ppi/steady_state(ppi))^phipi*(YF/steady_state(YF))^phiy)^(1-rhoR);
RB = (RB(-1))^rhoR*(steady_state(RB)*(ppi/steady_state(ppi))^phipi*(Y_output/steady_state(Y_output))^phiy)^(1-rhoR);

//(GC) = gcshock+GC_st;
gcshock = log(GC/GC_st);
gcshock = gcshock(-1)*rhogc + ec;

 
//(GI) = gishock+GI_st;
gishock = log(GI/GI_st);
gishock = gishock(-1)*rhogi + ei +eio;
 
//boshock = boshock(-1)*rhogc + eo/(steady_state(T)-GI_st-GC_st);
//(bo) = boshock+bo_st;
boshock = log(bo/bo_st);
//boshock = boshock(-1)*rhobo + eo +eio*100;
boshock = boshock(-1)*rhobo - rhobogdp*log(Y_output/steady_state(Y_output)) + eo +eio*100;

//T = tau*WG*LG + tau*Wp*Lp + tau*R*Kp+Lumpsum;
T = tau*WG*LG + tau*Wp*Lp + tauk_bar*R*Kp+Lumpsum;

Y_output = Y + (At)*((N(-1)/ppi)+(B))*m*(do);

Bailout = (At)*((N(-1)/ppi)+(B))*m*(do)*bo;

YG = AG*(LG);

betashock = log(beta/beta_st);
betashock = betashock(-1)*rhobeta + ebeta;

end;



// Steady state values
initval;
Bailout=0.00012839;
GI=0.48078987;
C=6.58643202;
Y=12.01976291;
I=3.26977334;
WG=4.38491473;
Wp=9.79761432;
R=0.03970326;
T=2.16368594;
L=0.33000063;
Lp=0.53000930;
LG=0.10600191;
PG=0.73520386;
Kp=130.79093374;
KG=26.15817997;
GC=1.68276768;
Ap=1.38599209;
At=1.03438088;
N=0.27259785;
B=0.19624001;
RB=1.02267003;
omega=0.41984103;
z=-1.96969786;
fo=0.58151711;
fo1=-0.97556350;
go=0.41741474;
go1=0.95836212;
do=0.00890131;
bo=0.20000000;
ppi=1.01500000;
YF=11.53961499;
x=1.11111111;
gcshock=0.00000000;
gishock=0.00000000;
boshock=0.00000000;
qk=1.00000000;
tau=1.14531145;
Y_output=12.02040486;
YG=0.65395450;
beta=0.99250000;
betashock=0.00000000;
end;




shocks;
var ec=0.00000900;
var ei=0.00010000;
var eo=0.75487486;
var eio=0.00010000;
var ebeta=0.00010000;
end;

check;

steady;

stoch_simul(order=1, irf=800,nograph);