% Written by Yongquan and Huixin
% August 2022
% 
% addpath '//Your/dynare/matlab'

clear all;
close all
current_path = pwd;

% choose whether 
index_compute_Mult = 1;

index_plot = 1;
index_ei = 0;
index_eio = 0;
index_ec = 0;
index_eo = 1;
index_ebeta = 0;
index_plot_save = 0;

% simulations
cd ./dynare_code
dynare norule_tax.mod
irf_EME = oo_.irfs;
cd ..

% load steady-state values
var_list_mod = {'Bailout','GI','C','Y','I','WG','Wp','R','T','L','Lp','LG','PG','Kp',...
    'KG','GC','Ap','At','N','B','RB','omega','z','fo','fo1','go','go1','do',...
    'bo','ppi','YF','x','gcshock','gishock','boshock','qk','tau','Y_output','YG',...
    'beta','betashock'};

var = strcat(var_list_mod,'_ss');
for ii = 1:length(var_list_mod)
    eval([char(var(ii)) '= oo_.steady_state(ii);'])
end


% plot IRFs
if index_plot == 1
    steps = 100;
    subplot_loop
end

if index_plot_save ==1
    figure(1)
    set(gcf,'PaperPositionMode','manual')
    set(gcf,'PaperUnits','inches','PaperPosition',[0 -1 9 12])
    % left, bottom, horitonzal length, vertial length   
    print -depsc ec_ei_eo_tax.eps


    figure(3)
    set(gcf,'PaperPositionMode','manual')
    set(gcf,'PaperUnits','inches','PaperPosition',[0 -1 6 4])
    % left, bottom, horitonzal length, vertial length   
    print -depsc mult_alphaG01_Ltax.eps
    
end
