// save parameters and steady states
// June 2020

var Bailout GI C Y I WG Wp R T L Lp LG PG Kp KG GC Ap At N B RB omega z fo fo1 go go1 do bo ppi YF x gcshock gishock boshock betashock qk tau Y_output YG beta ;


parameters chi mu GI_st GC_st AG eta beta_st sigmaL delta deltaG alpha alphaG m sigmao zeta rhoR epsilon Omegap phipi phiy bo_st rhogi rhogc rhobo Omegak rhobogdp rhobeta ;


varexo ec ei eo eio ebeta;

// Parameter values
chi=26.81508241;
mu=0.36159238;
GI_st=0.53163217;
GC_st=1.86071237;
AG=9.74045016;
eta=2.00000000;
beta_st=0.99250000;
sigmaL=0.15000000;
delta=0.02500000;
deltaG=0.02500000;
alpha=0.50000000;
alphaG=0.10000000;
m=0.18000000;
sigmao=0.30000000;
zeta=0.96000000;
rhoR=0.00000000;
epsilon=10.00000000;
Omegap=117.35941320;
phipi=1.50000000;
phiy=0.12500000;
bo_st=0.20000000;
rhogi=0.80000000;
rhogc=0.80000000;
rhobo=0.95000000;
Omegak=2.00000000;
rhobogdp=0.00000000;
rhobeta=0.80000000;



model;
(L) = (mu*(LG)^(1+sigmaL) + (1-mu)*((Lp))^(1+sigmaL))^(1/(1+sigmaL));

(Kp) = (I)*(1-Omegak/2*(I/I(-1)-1)^2) + (1-delta)*(Kp(-1));

qk/(C) = beta*((R(+1)) + qk(+1)*(1- delta))/(C(+1));
1 = qk*(1-Omegak/2*(I/I(-1)-1)^2 - Omegak*(I/I(-1) -1)*I/I(-1) ) + beta*qk(+1)*C/C(+1) *Omegak*(I(+1)/I-1)*(I(+1)/I)^2;

1/(C) = beta*((RB)/ppi(+1))/(C(+1));

(At)*((N(-1))/ppi + (B)) = (PG)*AG*(LG);

(RB)*(B) = (At) *((N(-1))/ppi+(B))*(go);

(N(-1)/ppi)/((N(-1)/ppi)+(B))*(fo1)*(RB) = - (go1)*(At)*(fo);

(N) = zeta*(At)*((N(-1)/ppi)+(B))*(fo);

(z) = (log((omega)) + 0.5*sigmao^2)/sigmao;

(fo) = 1-normcdf((z) -sigmao) - (omega)*(1-normcdf((z)));

(fo1) = - normpdf((z)-sigmao)/sigmao/(omega) - (1-normcdf((z))) + normpdf((z))/sigmao;  

(go) = (1-normcdf((z)))*(omega) + (1-(1-(bo))*m)*normcdf((z)-sigmao); 

(go1)= 1- normcdf((z)) - normpdf((z))/sigmao + (1-(1-(bo))*m)*normpdf((z)-sigmao)/sigmao/(omega); 

(do) = normcdf((z)-sigmao);

(WG)/(C) = chi* (L)^(eta-sigmaL) * mu * (LG)^sigmaL;

(Wp)/(C) = chi* (L)^(eta-sigmaL) * (1-mu) * (Lp)^sigmaL;

(Wp) = (1-alpha)*(Ap)*(Kp(-1))^alpha*(Lp)^(-alpha)/x;

(R) = (alpha)*(Ap)*(Kp(-1))^(alpha-1)*(Lp)^(1-alpha)/x;

(WG)*(LG) = (N(-1))/ppi+(B);

(GC) + (GI) + (At) * ((N(-1))/ppi+(B)) * (bo) *m *(do)= (T);

(Ap) = (KG)^(alphaG);

(KG) = (GI)/(PG) + (1-deltaG)*(KG(-1));

(GI) = AG*(PG)*(LG);

(C) + (I) + (GC) + (GI) = (Ap)*(Kp(-1))^(alpha)*(Lp)^(1-alpha)+AG*(PG)*(LG)-(At)*((N(-1)/ppi)+(B))*m*(do); 

(C) + (I) + (GC) + (GI) = (Y); 

1/x = (epsilon-1)/epsilon + Omegap/epsilon*(ppi/steady_state(ppi) -1)*ppi/steady_state(ppi) - beta*Omegap/epsilon*C/C(+1)*(ppi(+1)/steady_state(ppi)-1)*ppi(+1)/steady_state(ppi)*YF(+1)/YF;

YF = (Ap)*(Kp(-1))^(alpha)*(Lp)^(1-alpha);

//RB = (RB(-1))^rhoR*(steady_state(RB)*(ppi/steady_state(ppi))^phipi*(YF/steady_state(YF))^phiy)^(1-rhoR);
RB = (RB(-1))^rhoR*(steady_state(RB)*(ppi/steady_state(ppi))^phipi*(Y_output/steady_state(Y_output))^phiy)^(1-rhoR);

//(GC) = gcshock+GC_st;
gcshock = log(GC/GC_st);
gcshock = gcshock(-1)*rhogc + ec;

 
//(GI) = gishock+GI_st;
gishock = log(GI/GI_st);
gishock = gishock(-1)*rhogi + ei +eio;
 
//boshock = boshock(-1)*rhogc + eo/(steady_state(T)-GI_st-GC_st);
//(bo) = boshock+bo_st;
boshock = log(bo/bo_st);
//boshock = boshock(-1)*rhobo + eo +eio*100;
boshock = boshock(-1)*rhobo - rhobogdp*log(Y_output/steady_state(Y_output)) + eo +eio*100;

betashock = log(beta/beta_st);
betashock = betashock(-1)*rhobeta + ebeta;

T = tau;

Y_output = Y + (At)*((N(-1)/ppi)+(B))*m*(do);

Bailout = (At)*((N(-1)/ppi)+(B))*m*(do)*bo;

YG = AG*(LG);

end;



// Steady state values
initval;
Bailout=0.00026949;
GI=0.53163217;
C=6.48904569;
Y=13.29080356;
I=4.40941333;
WG=5.64358129;
Wp=12.68466789;
R=0.03255668;
T=2.39261403;
L=0.33000001;
Lp=0.45269088;
LG=0.09053814;
PG=0.60283804;
Kp=176.37653332;
KG=35.27529003;
GC=1.86071237;
Ap=1.42806199;
At=1.04045882;
N=0.23486897;
B=0.27956136;
RB=1.02267003;
omega=0.54144890;
z=-1.89502196;
fo=0.46019634;
fo1=-0.97095525;
go=0.53777600;
go1=0.93916075;
do=0.01408101;
bo=0.20000000;
ppi=1.01500000;
YF=12.76051885;
x=1.11111111;
gcshock=0.00000000;
gishock=0.00000000;
boshock=0.00000000;
betashock=0.00000000;
qk=1.00000000;
tau=2.39261403;
Y_output=13.29215103;
YG=0.88188225;
beta=0.99250000;
end;




shocks;
var ec=0.00000900;
var ei=0.00010000;
var eo=144.00000000;
var eio=0.00010000;
var ebeta=0.00010000;
end;

check;

steady;

stoch_simul(order=1, irf=800,nograph);