% compare IRFs across different shock persistence

% plot IRFs
var_names = {'LG','WG','YG',...
    'Lp','Wp','YF',...
    'do','Bailout','T',...
    'KG','Y','C'};
var_titles = {'Infrastructure labor','Infrastructure wage','Infrastructure output',...
    'Private labor','Private wage','Private output',...
    'NPL ratio', 'Bailout cost','Tax',...
    'Public capital','GDP', 'Consumption'};

figure(2); aa = 4; bb = 3; 
i_nfl = 3*2+1; i_bailout = 3*2+2;

for ii = 1:length(var_names)
    subplot(aa,bb,ii); 
    var_ii_ss = eval(char(strcat(var_names(ii),'_ss')));    
    
    if rho_bo == 0.5
        linecolor = 'k--';
    elseif rho_bo == 0.8
        linecolor = 'b';
    elseif rho_bo == 0.95
        linecolor = 'r:';
    end
       
    if index_eo ==1        
        var_ii = char(strcat('irf_EME.',var_names(ii),'_eo(1:steps)'));        
        if (ii==i_nfl)
            plot((eval(var_ii)+var_ii_ss)*100, linecolor, 'LineWidth', 2); hold on;
            ylabel('percent')
            title(var_titles(ii))
        elseif ii == i_bailout
            Y_ss = eval(char(strcat('Y_ss')));
            plot((eval(var_ii)+var_ii_ss)/Y_ss*100, linecolor, 'LineWidth', 2); hold on;
            ylabel('percent')
            title(char(strcat(var_titles(ii),' (as share of Y_{ss})')))
        else
            plot(100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
            ylabel('pp')
            title(var_titles(ii))
        end
    end
    
    grid on; 
end

