
% plot IRFs
var_names = {'I','Kp','KG','L','Lp','LG','Wp','WG','YF','YG','R','T'};
var_titles = {'Private investment', 'Private capital','Public capital','Total labor',...
    'Private labor', 'Public labor','Private wage','Public wage','Private output','Public output',...
    'Capital return','Tax'};

figure(1); aa = 4; bb = 3; 
for ii = 1:length(var_names)
    subplot(aa,bb,ii); 
    var_ii_ss = eval(char(strcat(var_names(ii),'_ss')));
    if index_eo ==1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_eo(1:steps)'));        
        linecolor = 'b';
        plot(100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
    end
    if index_ei == 1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_ei(1:steps)'));
        linecolor = 'k-.';
        plot(100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
    end
    if index_eio == 1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_eio(1:steps)'));
        linecolor = 'g:';
        plot(100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
    end
    if index_ec ==1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_ec(1:steps)'));
        linecolor = 'r:';
        plot(100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
    end   
    
    grid on; title(var_titles(ii))
end

var_names = {'PG','x','GI','Y','Y_output','C','do','omega','Bailout','ppi','RB'};
var_titles ={'Public goods price', 'Markup','Public investment spending', 'GDP',...
    'Output', 'Consumption','NPL','Threshold','Bailout cost','Inflation','Nominal Rate'};
figure(2); aa = 4; bb = 3; ii =1;
for ii = 1:length(var_names)
    subplot(aa,bb,ii); 
    var_ii_ss = eval(char(strcat(var_names(ii),'_ss')));
    if index_eo ==1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_eo(1:steps)'));
        plot(100*eval(var_ii)/var_ii_ss, 'b', 'LineWidth', 2); hold on;
    end
    if index_ei == 1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_ei(1:steps)'));
        plot(100*eval(var_ii)/var_ii_ss, 'k-.', 'LineWidth', 2); hold on;
    end
    if index_eio == 1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_eio(1:steps)'));
        plot(100*eval(var_ii)/var_ii_ss, 'g:', 'LineWidth', 2); hold on;
    end
    if index_ec ==1
        var_ii = char(strcat('irf_EME.',var_names(ii),'_ec(1:steps)'));
        plot(100*eval(var_ii)/var_ii_ss, 'r:', 'LineWidth', 2); hold on;
    end
    grid on; title(var_titles(ii))
end
