
% plot IRFs
% var_names = {'LG','WG','YG',...
%     'Lp','Wp','YF',...
%     'KG','I','x',...
%     'do','Bailout','T',...
%     'Y_output','Y','C',...
%     'PG','ppi','RB'};
% var_titles = {'Infrastructure labor','Infrastructure wage','Infrastructure output',...
%     'Private labor','Private wage','Private output',...
%     'Public capital','Private investment', 'Real marginal cost',...
%     'NPL ratio', 'Bailout cost','Tax',...
%     'Output','GDP', 'Consumption', ...
%     'Infrastructure price','Inflation','Policy rate'};

var_names = {'LG','WG','YG',...
    'Lp','Wp','YF',...
    'KG','I','x',...
    'do','Bailout','T',...
    'Y_output','Y','C',...
    'PG','ppi','bo'};
var_titles = {'Infrastructure labor','Infrastructure wage','Infrastructure output',...
    'Private labor','Private wage','Private output',...
    'Public capital','Private investment', 'Real marginal cost',...
    'NPL ratio', 'Bailout cost','Tax',...
    'Output','GDP', 'Consumption', ...
    'Infrastructure price','Inflation','bo'};

figure(1); aa = 6; bb = 3; 
i_ppi = 3*5+2; i_rb = 3*6;
i_nfl = 3*3+1; i_bailout = 3*3+2;
ix = 3*3;
for ii = 1:length(var_names)
    subplot(aa,bb,ii); 
    var_ii_ss = eval(char(strcat(var_names(ii),'_ss')));    
    
    if index_ebeta ==1        
        var_ii = char(strcat('irf_EME.',var_names(ii),'_ebeta(1:steps)'));        
        
        if (ii==i_nfl)
            plot((eval(var_ii)+var_ii_ss)*100, linecolor, 'LineWidth', 2); hold on;
            ylabel('percent')
            title(var_titles(ii))
        elseif ii == i_bailout
%             Y_t = irf_EME.Y_ebeta(1:steps)+eval(char(strcat('Y_ss')));
%             plot((eval(var_ii)+var_ii_ss)./Y_t*100, linecolor, 'LineWidth', 2); hold on;

            plot((eval(var_ii)+var_ii_ss)./eval(char(strcat('Y_ss')))*100, linecolor, 'LineWidth', 2); hold on;
            ylabel('percent')
            title(char(strcat(var_titles(ii),' (as share of Y_{ss})')))
        elseif ((ii == i_ppi) | (ii == i_rb))
            plot(400*eval(var_ii), linecolor, 'LineWidth', 2); hold on;
            ylabel('percent (annual)')
            title(var_titles(ii))
        elseif (ii == ix)
            plot(-100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
            ylabel('pp')
            title(var_titles(ii))
        else
            plot(100*eval(var_ii)/var_ii_ss, linecolor, 'LineWidth', 2); hold on;
            ylabel('pp')
            title(var_titles(ii))
        end
    end
    
    grid on; 
end

figure; plot(irf_EME.betashock_ebeta(1:steps))

